org.apache.ignite.client.events

## Interface RequestEventListener

All Superinterfaces:
  EventListener

    public interface RequestEventListener
    extends EventListener

### Method Summary

All Methods Instance Methods Default Methods
`default void` `onRequestFail(RequestFailEvent event)`
`default void` `onRequestStart(RequestStartEvent event)`
`default void` `onRequestSuccess(RequestSuccessEvent event)`

### Method Detail

#### onRequestStart

    default void onRequestStart(RequestStartEvent event)

Parameters:
  `event` - Request start event.

#### onRequestSuccess

    default void onRequestSuccess(RequestSuccessEvent event)

Parameters:
  `event` - Request success event.

#### onRequestFail

    default void onRequestFail(RequestFailEvent event)

Parameters:
  `event` - Request failure event.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023